Introducing the Chargebee CLI

Transfer a customer to another business entity

Open in Postman

Transfers one or more customer resources from one business entity to another.

The transfer is executed by creating a copy of the customer resource. The original resource is deprecated, while the new copy becomes the active resource.

Sample Request

Open in Postman
Transfer customer to another business entity

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/business_entities/transfers

Input Parameters

active_resource_ids
required, string, max chars=50

The list of unique identifiers of the customer resources to be transferred. Each id must belong to an active customer resource.

Note If a customer resource was deprecated because it was moved previously, you cannot move it again. Instead, move the active version of the resource. Do this by passing the active_id of the deprecated resource.

destination_business_entity_ids
required, string, max chars=50

The list of unique identifiers of the business_entity resources to which the corresponding customer resource must be transferred.

reason_codes
required, string, max chars=50

The list of reasons for changing the business entity of the corresponding customer resources.

Returns

Business entity transfer object

Resource object representing business_entity_transfer .